#!/bin/bash

#yellow start 
	C14="\e[1;33m"
#blue start 
	C01="\e[0;34m"
#color end
	CE="\e[0m"
#red start
	C04="\e[1;31m"
#black start
	C00="\e[0;30m"
#dark gray start
	C08="\e[1;30m"
#light blue start
	C09="\e[1;34m"
#green start
	C02="\e[0;32m"
#light green start
	C10="\e[1;32m"
#cyan start
	C03="\e[0;36m"
#light cyan start
	C11="\e[1;36m"
#light red start
	C12="\e[0;31m"
#purple start
	C05="\e[0;35m"
#light purple start
	C13="\e[1;35m"
#brown start
	C06="\e[0;33m"
#light gray start
	C07="\e[0;37m"
#white 
	C15="\e[1;37m"
  
function presskey() {
  echo ""
  echo -e $C10"Press a key to continue..."$CE
  read -n 1
}

function progressbar {
    let _progress=(${1}*100/${2}*100)/100
    let _done=(${_progress}*2)/10
    let _left=20-$_done
    _fill=$(printf "%${_done}s")
    _empty=$(printf "%${_left}s")

printf "[${_fill// /#}${_empty// /-}] %4s%%" "$_progress"
}

function isinteger(){
  case $1 in
    ''|*[!0-9]*) echo ""; return -1;;
    *) return 0;;
  esac
}
color="$CE"
echo -e $C14"[] Disk Usage"$CE
echo -e $C15"Used   "$CE"| "$C15"Avail  "$CE"| "$C15"Percentage                 "$CE"| "$C15"Device"$CE
df -h | cut -d" " -f2- |sed 's/^ *//g'| sed '1d' | tr -s ' ' | while read line
do
    full=$(echo "$line" | cut -d" " -f1)
    used=$(echo "$line" | cut -d" " -f2)
    avail=$(echo "$line" | cut -d" " -f3)
    per=$(echo "$line" | cut -d" " -f4 | cut -d"%" -f1)
    name=$(echo "$line" | cut -d" " -f5)
    if [ "$per" -ge 80 ] && [ "$per" -le 100  ]; then color=$C04; fi
    if [ "$per" -ge 60 ] && [ "$per" -le 79  ]; then color=$C06; fi
    if [ "$per" -ge 40 ] && [ "$per" -le 59  ]; then color=$C02; fi
    if [ "$per" -ge 0 ] && [ "$per" -le 39  ]; then color=$C09; fi
    printf "$color%-6s $CE|$color %-6s "$CE "$used" "$avail"
    progressbar $per 100
    echo -e " $color$name"$CE
done

presskey
